std::complex< long double > Struct Template Reference
Complex Numbers

## Public Types

typedef __complex__ long double | _ComplexT
typedef long double | value_type

## Public Member Functions

constexpr | complex (_ComplexT __z)
constexpr | complex (long double __r=0.0L, long double __i=0.0L)
constexpr | complex (const complex< float > &__z)
constexpr | complex (const complex< double > &__z)
| __attribute ((__abi_tag__("cxx11"))) const expr long double real() const
| __attribute ((__abi_tag__("cxx11"))) const expr long double imag() const
constexpr _ComplexT | __rep () const
void | imag (long double __val)
complex & | operator*= (long double __r)
template<typename _Tp >
complex & | operator*= (const complex< _Tp > &__z)
complex & | operator+= (long double __r)
template<typename _Tp >
complex & | operator+= (const complex< _Tp > &__z)
complex & | operator-= (long double __r)
template<typename _Tp >
complex & | operator-= (const complex< _Tp > &__z)
complex & | operator/= (long double __r)
template<typename _Tp >
complex & | operator/= (const complex< _Tp > &__z)
complex & | operator= (long double __r)
template<typename _Tp >
complex & | operator= (const complex< _Tp > &__z)
void | real (long double __val)

## Detailed Description

### template<>
struct std::complex< long double >

26.2.3 complex specializations complex<long double> specialization

Definition at line 1342 of file complex.

The documentation for this struct was generated from the following file:

- complex